package com.persagy.proxy.migration.model;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import com.alibaba.excel.annotation.write.style.HeadFontStyle;
import lombok.Getter;
import lombok.Setter;
import org.apache.poi.ss.usermodel.Font;

/**
 * @author lvxianyun
 * @title: DataMigrationExcel
 * @projectName adm-middleware
 * @description: adm数据同步到现场返回结果
 * @date 2021/11/23 18:27
 */
@Getter
@Setter
@HeadFontStyle(color = Font.COLOR_NORMAL)
public class DataMigrationExcel {

    @ColumnWidth(20)
    @ExcelProperty(value = "id", index=0)
    private String id;

    @ColumnWidth(20)
    @ExcelProperty(value = "名称", index=1)
    private String name;

    @ColumnWidth(20)
    @ExcelProperty(value = "code", index=2)
    private String code;

    @ColumnWidth(20)
    @ExcelProperty(value = "code1", index=3)
    private String code1;

    @ColumnWidth(20)
    @ExcelProperty(value = "类型（增加/删除/修改）", index=4)
    private String type;

    @ColumnWidth(20)
    @ExcelProperty(value = "源（云端/现场）", index=5)
    private String directional = "adm-to-project";

    @ColumnWidth(30)
    @ExcelProperty(value = "from(adm)", index=6)
    private String source;

    @ColumnWidth(30)
    @ExcelProperty(value = "to(project)", index=7)
    private String targetProject;

    @ColumnWidth(50)
    @ExcelProperty(value = "备注", index=8)
    private String mark;
}
